### Method

# AppStream ComponentBox add

#### Declaration [src]

    gboolean
    as_component_box_add (
      AsComponentBox* cbox,
      AsComponent* cpt,
      GError** error
    )

#### Description [src]

Add a component to the box. Returns an error if we could not add it (most likely due to component box constraints).

#### Parameters

`cpt`

  Type: `AsComponent`

  No description available.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.